# -*- conf -*-

# Global values
# output=<undefined>
min-width=300
max-width=500
max-height=300
stacking-order=bottom-up
anchor=top-right
edge-margin-vertical=30
edge-margin-horizontal=20
notification-margin=10
icon-theme={{ icon_theme }}
max-icon-size=64
selection-helper={{ launcher }} {{ dmenu_flag }} -p 'Notification helpers'
play-sound=pw-play ${filename}

# Default values, may be overridden in 'urgency' specific sections
background={{ background | regex_replace('^#', '') }}
border-color={{ blue | regex_replace('^#', '') }}
border-size=2
title-font={{ cjk_font }}:slant=italic:size={{ font_size }}
summary-font={{ cjk_font }}:weight=bold:size={{ font_size }}
body-font={{ cjk_font }}:size={{ font_size }}
default-timeout=10
# sound-file=

[low]
title-color={{ blue | regex_replace('^#', '') }}
summary-color={{ blue | regex_replace('^#', '') }}
body-color={{ blue | regex_replace('^#', '') }}

[normal]
title-color={{ yellow | regex_replace('^#', '') }}
summary-color={{ yellow | regex_replace('^#', '') }}
body-color={{ yellow | regex_replace('^#', '') }}

[critical]
border-color={{ yellow | regex_replace('^#', '') }}
background={{ red | regex_replace('^#', '') }}
title-color={{ background | regex_replace('^#', '') }}
summary-color={{ background | regex_replace('^#', '') }}
body-color={{ background | regex_replace('^#', '') }}
default-timeout=0
